<?php
/*
Plugin Name: Wip Social Buttons
Plugin URI: http://www.wpinprogress.com/
Description: Wip Social Buttons
Author: WPinProgress
Author URI: http://www.wpinprogress.com/
Version: 1.0.0
License: GPL3
*/

if (!function_exists('wip_social_buttons_scripts')) {

	function wip_social_buttons_scripts() {
	
		wp_enqueue_style( "wip-font-awesome", "//netdna.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css", array(), "4.1.0" );
		wp_enqueue_style( "wip-social-buttons.css", plugins_url('/css/socialbuttons.css', __FILE__ ), array(), "" );
	
	}
	
	add_action( 'wp_enqueue_scripts', 'wip_social_buttons_scripts', 11 );

}

if (!function_exists('wip_social_buttons_html')) {

	function wip_social_buttons_html($content) { 
		
		global $post;

		$html  = '<div class="wip-social-buttons">';
		
		$html .= '<a href="http://www.facebook.com/sharer.php?s=100&p[url]='.get_permalink($post->ID).'&p[images][0]='.wp_get_attachment_url( get_post_thumbnail_id($post->ID)).'&p[title]='.get_the_title().'&p[summary]='.substr(strip_tags(get_the_content()),0,200).'" target="_blank" class="facebook-button" onclick="javascript:window.open(this.href,v"", "menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=220,width=600");return false;"><i class="fa fa-facebook"></i></a>';
			
		$html .= '<a href="https://twitter.com/share?text='.get_the_title().'&url='.get_permalink($post->ID).'" onclick="javascript:window.open(this.href, "", "menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=260,width=600");return false;" target="_blank" class="twitter-button"><i class="fa fa-twitter"></i></a>'; 
			
		$html .= '<a href="https://plus.google.com/share?url='.get_permalink($post->ID).'" onclick="javascript:window.open(this.href, "", "menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=260,width=600");return false;" target="_blank" class="google-button"><i class="fa fa-google-plus"></i></a>'; 
	
		$html .= '<a href="http://pinterest.com/pin/create/button/?url='.urlencode(get_permalink($post->ID)).'&media='.wp_get_attachment_url( get_post_thumbnail_id($post->ID)).'&description='.urlencode(get_the_title()).'" onclick="javascript:window.open(this.href, "", "menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=260,width=600");return false;" target="_blank" class="pinterest-button"><i class="fa fa-pinterest"></i></a>'; 

		$html .= '</div>';

		if ( is_single() || is_page() ):
		
			return $content . $html;
		
		else:
		
			return $content;
		
		endif;

	} 

	add_filter( 'the_content', 'wip_social_buttons_html' );

}

?>